> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qminder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get details of a ticket



## OpenAPI

````yaml /api-reference/openapi.json get /v1/tickets/{id}
openapi: 3.1.0
info:
  title: Qminder API
  version: '1.0'
  description: >-
    The Qminder API allows you to integrate queue management into your own
    applications.
servers:
  - url: https://api.qminder.com
security:
  - sec0: []
tags:
  - name: Locations
    description: Manage physical service locations
  - name: Lines
    description: Manage virtual queues within locations
  - name: Input Fields
    description: Manage custom data fields for locations
  - name: Tickets
    description: Manage visitor queue entries
  - name: Appointments
    description: Manage scheduled appointments
  - name: Users
    description: Manage user accounts and permissions
  - name: Webhooks
    description: Manage webhook subscriptions
paths:
  /v1/tickets/{id}:
    get:
      tags:
        - Tickets
      summary: Get details of a ticket
      operationId: get-details-of-a-ticket
      parameters:
        - name: id
          in: path
          description: The ID of the ticket to get details of
          schema:
            type: string
          required: true
        - name: responseScope
          in: query
          description: >-
            Include additional data in the search results. Use multiple response
            scopes by separating them with a comma. Valid response scopes are:
            "MESSAGES" - include SMS messages with the response "INTERACTIONS" -
            include interaction data with the response "CONNECTED_TICKETS" -
            include connected tickets (other visits of the same person)
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "statusCode": 200,
                      "id": "13429905",
                      "status": "CALLED",
                      "source": "NAME",
                      "line": 47466,
                      "firstName": "Johnny",
                      "lastName": "Bravo",
                      "phoneNumber": 13186190204,
                      "created": {
                        "date": "2016-08-01T15:27:45.057Z"
                      },
                      "called": {
                        "date": "2020-05-06T13:13:16Z",
                        "caller": 13860
                      }
                    }
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                    example: 200
                    default: 0
                  id:
                    type: string
                    example: '13429905'
                  status:
                    type: string
                    example: CALLED
                  source:
                    type: string
                    example: NAME
                  line:
                    type: integer
                    example: 47466
                    default: 0
                  firstName:
                    type: string
                    example: Johnny
                  lastName:
                    type: string
                    example: Bravo
                  phoneNumber:
                    type: integer
                    example: 13186190204
                    default: 0
                  created:
                    type: object
                    properties:
                      date:
                        type: string
                        example: '2016-08-01T15:27:45.057Z'
                  called:
                    type: object
                    properties:
                      date:
                        type: string
                        example: '2020-05-06T13:13:16Z'
                      caller:
                        type: integer
                        example: 13860
                        default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: X-Qminder-REST-API-Key
      x-default: yourbusinessapikey

````